#ifndef __packagelistjob_h__
#define __packagelistjob_h__

#include "xmlbugjob.h"

#include "package.h"

#include <qdom.h>

class PackageListJob : public XmlBugJob
{
    Q_OBJECT
public:
    PackageListJob( BugServer * );
    virtual ~PackageListJob();

    void start();

signals:
    void packageListAvailable( const Package::List &pkgs );

protected:
    virtual void process( const QByteArray &data );

    Package parseDomElement( const QDomElement &element );

private:

};

#endif

/*
 * vim:ts=4:sw=4:et
 */
